{% extends "index_auth.html" %}

{% load i18n %}

{% load account socialaccount %}

{% block base_auth %}

<div class="user-login">
    <div class="user-login__header">
        <h2>Авторизация</h2>
    </div>
    <div class="user-login__body">
        <form class="login" method="POST" action="{% url 'account_login' %}">
            {% csrf_token %}
            <div class="fieldset fieldset_login">
                <div class="fieldset__item">
                    <div class="field">
                        <label class="field__label label label_center label_float label_s" for="id_login">Телефон:</label>
                        <div class="field__control control_default control control_m control_center">
                            <div class="flag">
                                <ul class="flag-list">
                                   <li class="flag-item">
                                       <span data--tel-code="+7(999)9999999" data--tel-country="ru"><i class="flags ru"></i>+7...</span>
                                   </li>
                                   </li>
                                   <li class="flag-item">
                                       <span data--tel-code="+3(759)99999999" data--tel-country="by"><i class="flags by"></i>+375...</span>
                                   </li>
                                   <li class="flag-item">
                                       <span data--tel-code="+7(999)9999999" data--tel-country="kz"><i class="flags kz"></i>+7...</span>
                                   </li>
                                   <li class="flag-item">
                                       <span data--tel-code="+9(989)9999999" data--tel-country="uz"><i class="flags uz"></i>+998...</span>
                                   </li>
                                   <li class="flag-item">
                                       <span data--tel-code="+3(809)99999999" data--tel-country="ua"><i class="flags ua"></i>+380...</span>
                                   </li>
                                </ul>
                            </div>
                            <div class="flag-btn"><i class="flags ru"></i></div>
                            <input type="tel" name="login" id="id_phone" maxlength="150" required id="id_login" autofocus="autofocus" />
                        </div>
                    </div>
                </div>
                <div class="fieldset__item">
                    <div class="field">
                        <label class="field__label label label_center label_float label_s" for="id_password">Пароль:</label>
                        <div class="field__control control_default control control_m control_center">
                            <input type="password" name="password" required id="id_password" />
                        </div>
                    </div>
                    <label for="password_show_id" class="password-show__checkbox">
                        <input type="checkbox" id="password_show_id">
                        <span class="password-show__img">
                            <img src="/static/img/pass-show-icon.svg" alt="" class="password-show">
                            <img src="/static/img/pass-hide-icon.svg" alt="" class="password-hide">
                        </span>
                    </label>
                </div>

                <div class="fieldset__item">
                    {% if login_error %}
                    <label class="error">{{ login_error }}</label> {% endif %}
                </div>
                <div class="fieldset__item">
                    <label class="check check_m check_default" for="id_remember">
                        <input type="checkbox" name="remember" id="id_remember" />
                        <div class="check__icon"></div>
                        <div class="check__content">
                            <div class="check__title fs_xs">Запомнить меня</div>
                        </div>
                    </label>
                </div>
                {% if redirect_field_value %}
                <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" /> {% endif %}
                <div class="fieldset__item">
                    {% if login_error %}
                    <label class="error">
                        {{ login_error }}
                    </label>
                    {% endif %}
                </div>
                <div class="fieldset__item">
                    <button type="submit" class="form__btn btn btn_primary btn_m btn_block">
                  <div class="btn__grid">
                    <div class="btn__title">Войти</div>
                  </div>
                </button>
                </div>
                {% if form.errors %}
                <div class="fieldset__item">
                    <div class="msg msg_error ta_center p_s">
                        <div class="fs_s">Неправильный логин или пароль</div>
                    </div>
                </div>
                {% endif %}
                <div class="fieldset__item">
                    <div class="user-login__links">
                        <a href="{{ signup_url }}" class="blink link_default">Регистрация</a>
                        <a class="button secondaryAction" href="{% url 'user:reset_password' %}">Забыли пароль?</a>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <script>
        $(document).ready(function () {
            $('#id_phone').mask('+7(999)9999999');
            $('.flag-item').on('click', function () {
                let thisSpan = $(this).find('span');
                let maskType = thisSpan.attr('data--tel-code');
                $('#id_phone').unmask();
                $('#id_phone').val(' ');
                $(this).closest('.field').addClass('field_filled')
                $('#id_phone').mask(maskType);
                $('.flag').removeClass('open');
                $('.flag-btn i').removeClass();
                let flagCountry = thisSpan.attr('data--tel-country');
                $('.flag-btn i').addClass('flags');
                $('.flag-btn i').addClass(flagCountry);
            })
            $('.flag-btn').on('click', function () {
                $('.flag').addClass('open');
            });

            $(document).on('click', '#password_show_id', function(){
                let idPassInput = $('#id_password');

                $(this).prop('checked') ? idPassInput.attr('type', 'text') : idPassInput.attr('type', 'password')
            });

            $(document).on('click', '.support_btn', function(){

            })
        })
    </script>

    {% endblock base_auth %}